Summary: very good X11 CD player
Name: workman
Version: 1.3a
Release: 1
Distribution: Manhattan
Copyright: Distributable
Group: X11/Applications
Packager: Volker Kuhlmann <v.kuhlmann@elec.canterbury.ac.nz>
URL: ftp://ftp.redhat.com/pub/contrib/manhattan/
Source: ftp://ftp.x.org/contrib/applications/WorkMan/WorkMan-1.3a.tar.gz
Patch: WorkMan-1.3a.vk.patch
BuildRoot: /tmp/%{name}-%{version}-%{release}

%description
workman is a graphical tool for playing audio compact discs. It has
most of the features available on standalone CD players, such as a
shuffle mode, programmable playlists, and elapsed/remaining timers. But
it also has extra features, foremost of which is the ability to store
information about CDs in a database, then automatically extract that
information when the CD is inserted later. Workman stores the artist's
name, the disc title, the names of individual tracks, and even
remembers which tracks you don't want to hear! All in an easy-to-use,
attractive OPEN LOOK graphical interface.

%prep
#%setup -D -n workman  # for testing
%setup -n workman
%patch -p1 -b .orig

%build
make -f Makefile.linux

%install
mkdir -p $RPM_BUILD_ROOT/usr/openwin/bin
mkdir -p $RPM_BUILD_ROOT/usr/openwin/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/openwin/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/openwin/lib/help
install -m755 workman $RPM_BUILD_ROOT/usr/openwin/bin/workman
install -m644 workman.man $RPM_BUILD_ROOT/usr/openwin/man/man1/workman.1
install -m644 workmandb.man $RPM_BUILD_ROOT/usr/openwin/man/man5/workmandb.5
install -m644 workman.info $RPM_BUILD_ROOT/usr/openwin/lib/help/workman.info

%post

%files
/usr/openwin/bin/workman
/usr/openwin/man/man1/workman.1
/usr/openwin/man/man5/workmandb.5
/usr/openwin/lib/help/workman.info
%doc DOCS/
%doc HTML/
